[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThread.Execute

Execute method. Must be overridden in a descendant thread.

## Declaration

Source position: classesh.inc line 1756

`protected procedure TThread.Execute; virtual; abstract;`

## Description

Execute is a method that must be overridden in descendant classes of the thread. It must contain the code that must execute in the thread. The Execute method is responsible for checking Terminated at regular intervals: when it is set to True the execute method must exit.

## See also

Terminated